Summary: 	The Firestarter firewall tool for GNOME
Name: 		firestarter
Version: 	0.9.1
Release: 	0.fdr.7.rh80
Epoch:          0
URL: 		http://firestarter.sourceforge.net
License: 	GPL
Group: 		Applications/Internet
Source0:	http://download.sourceforge.net/firestarter/firestarter-0.9.1-2.tar.gz
Source1:        firestarter.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	glib2-devel >= 0:2.0.1
BuildRequires:	gtk2-devel >= 0:2.0.1
BuildRequires:	gnome-libs-devel >= 0:1.2.3
BuildRequires:  libgnome-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	gettext
BuildRequires:  desktop-file-utils

%description
Firestarter is an easy-to-use, yet powerful, Linux firewall tool for GNOME.
Use it to quickly set up a secure environment using the firewall creation
wizard, or use it's monitoring and administrating features with your old
firewall scripts.

#---------------------------------------------------------------------

%prep
%setup -q

#---------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_sbindir}
%makeinstall

mv %{buildroot}/%{_bindir}/firestarter %{buildroot}/%{_sbindir}
ln -s %{_bindir}/consolehelper %{buildroot}/%{_bindir}/firestarter

%find_lang %{name}

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/firestarter <<EOF
auth       sufficient   /lib/security/pam_rootok.so
auth       required     /lib/security/pam_stack.so service=system-auth
session    required     /lib/security/pam_permit.so
session    required     /lib/security/pam_xauth.so
account    required     /lib/security/pam_permit.so
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/firestarter <<EOF
USER=root
FALLBACK=true
PROGRAM=%{_sbindir}/firestarter
SESSION=true
EOF


rm -f %{buildroot}/usr/share/gnome/apps/Internet/firestarter.desktop
install -p -D %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Fedora-Extra                                   \
  --add-category Application                                      \
  --add-category System                                      \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}/etc/rc.d/init.d

install -m 755 netfilter.init %{buildroot}/etc/rc.d/init.d/firestarter

#---------------------------------------------------------------------                                                                                
%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------

%post

/sbin/chkconfig --level 0123456 iptables off 2>/dev/null || :
/sbin/chkconfig --add firestarter
/sbin/chkconfig firestarter on

#---------------------------------------------------------------------

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig ipchains reset 2>/dev/null || :
	/sbin/chkconfig iptables reset 2>/dev/null || :
	/sbin/service firestarter stop >/dev/null 2>&1
	/sbin/chkconfig --del firestarter
fi

#---------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS TODO COPYING CREDITS
%attr(755,root,root) %{_sbindir}/firestarter
%{_datadir}/applications/fedora-firestarter.desktop
%{_datadir}/pixmaps/*
%{_bindir}/firestarter
%{_sysconfdir}/pam.d/firestarter
%{_sysconfdir}/security/console.apps/%{name}
%config /etc/rc.d/init.d/firestarter

#-----------------------------------------------------------------------------

%changelog
* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9.1-0.fdr.7
- Added desktop-file-utils to BuildRequires.
- Changed category to X-Fedora-Extra.
- Added Epoch:0.

* Tue Mar 25 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9.1-0.fdr.6
- removed %postun.

* Tue Mar 25 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9.1-0.fdr.5
- Moved menu entry to System Tools.
- removed redundant ldconfig.
- removed extra chkconfig.

* Mon Mar 24 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9.1-0.fdr.4
- Made the .desktop file an external file.
- corrected BuildRequires.
- corrected %files

* Wed Mar 08 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9.1-0.fdr.3
- Cleaned up spec

* Wed Mar 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9.1-0.fdr.2
- Cleaned up spec

* Wed Feb 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9.1-1.fedora.1
- Initial Fedora release (0.9.1). 

* Tue Aug 06 2002 Tomas Junnonen <majix@sci.fi>
- Updated requirements to GNOME2 level
- Removed all requirements related to the documentation generation

* Tue Jun 25 2002 Paul Drain <pd@cipherfunk.org>
- Merged some compatible cleanups from the FreshRPMS (http://freshrpms.net)
  specfile.
  
* Wed Apr 24 2002 Paul Drain <pd@cipherfunk.org>
- build dependancy cleanups

* Mon Apr 22 2002 Paul Drain <pd@cipherfunk.org>
- gnome-doc-tools is no longer required to build the RPM

* Tue Jan 08 2002 Roy-Magne Mo <rmo@sunnmore.net>
- Clean up specfile, and use rpm4 macros
- Remove docuementation tools as requirements
- Add gnome-doc-tools and then some as buildprereq
- Add initscripts to prereq
- used %makeinstall macro instead of old make install
- no use specifying runlevels at the commandline, this
  should be specified in the initscripts itself
- Added gnome-core as requirements

* Mon Jan 07 2002 Tomas Junnonen <majix@sci.fi>
- preun now doesn't explicitly delete the init script,
  caused problem with package upgrades.
- Moved the init scripts to external files
  
* Tue Oct 23 2001 Paul Drain <pd@cipherfunk.org>
- Added sgmltools and openjade to build requirements

* Tue Oct 16 2001 Paul Drain <pd@cipherfunk.org>
- Updated build dependancies

* Mon Jul 09 2001 Paul Drain <pd@cipherfunk.org>
- Fixed documentation directory
- Added sysconfdir variable instead of hardcoding /etc

* Thu Jun 01 2000 Tomas Junnonen <majix@sci.fi>
- Significant changes to allow use of consolehelper

* Wed May 31 2000 Tomas Junnonen <majix@sci.fi>
- Fixed problem with CFLAGS and LDADD usage of " and `

* Mon May 29 2000 Tomas Junnonen <majix@sci.fi>
- First spec file
